import ApiModel from "~/models/ApiModel";
import {Str, Uid, Attr} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : ContactPoint
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Core/ContactPoint.php
 */
export default class ContactPoint extends ApiModel {
  static entity = 'contact_points'

  @Uid()
  declare id: number | string | null

  @Str('PRINCIPAL')
  declare contactType: string

  @Str(null)
  declare email: string|null

  @Str(null)
  declare emailInvalid: string|null

  @Str(null)
  declare telphone: string|null

  @Str(null)
  declare telphoneInvalid: string|null

  @Str(null)
  declare mobilPhone: string|null

  @Str(null)
  declare mobilPhoneInvalid: string|null

  @Str(null)
  declare faxNumber: string|null

  @Str(null)
  declare faxNumberInvalid: string|null

  @Attr([])
  declare organization: []
}
